# TileDiscardPolicy

#### new Cesium.TileDiscardPolicy()
Scene/TileDiscardPolicy.js 17

A policy for discarding tile images according to some criteria. This type describes an interface and is not intended to be instantiated directly.

##### See:

- DiscardMissingTileImagePolicy
- NeverTileDiscardPolicy

### Methods

#### isReady() → Boolean
Scene/TileDiscardPolicy.js 27

Determines if the discard policy is ready to process images.

##### Returns:

True if the discard policy is ready to process images; otherwise, false.

#### shouldDiscardImage(image) → Boolean
Scene/TileDiscardPolicy.js 36

Given a tile image, decide whether to discard that image.

Name | Type | Description
--- | --- | ---
`image` | Image | An image to test.

##### Returns:

True if the image should be discarded; otherwise, false.